@echo off
rem *******************************************************************************
rem  Licencovan materily - vlastnictv IBM
rem  (c) Copyright IBM Corporation 2006, 2011. Vechna prva vyhrazena.
rem
rem  Omezen prva uivatel z ad americkch vldnch instituc:
rem  Pouit, koprovn a zveejnn je omezeno v souladu se smlouvou GSA ADP
rem  Schedule Contract se spolenost IBM Corp.
rem  *******************************************************************************


REM #############################################################
REM #
REM # Definujte promnn prosted odpovdajc parametrm
REM # skriptu ccm_upgrade.bat a jejich vchozm hodnotm
REM #
REM #===========================================================
REM #
REM # Tento soubor se te  na zatku proveden skriptu
REM # ccm_upgrade.bat. Nastavuje jednu promnnou prosted pro
REM # jeden platn parametr pomoc peddefinovan vchoz hodnoty.
REM #
REM # Uivatel mohou vchoz hodnotu upravit, a doclit tak
REM # spoutn skriptu ccm_upgrade.bat se svmi vlastnmi hodnotami
REM # bez nutnosti runho zadvn parametr s jejich hodnotami
REM # do pkazovho dku.
REM #
REM # VAROVN:
REM # Nen nutn nastavovat vechny promnn pro kadou
REM # aplikaci. Ped pravou hodnoty si pozorn pette
REM # koment.
REM #
REM #############################################################

rem Parametr: -oldApplicationHome
rem Pouit: -oldApplicationHome <cesta_k_adresi>
rem Popis:
rem pln cesta k domovskmu adresi aplikace v instalaci 2.x nebo 3.0.x.
rem Vchoz hodnota:
rem 	<dn>
rem Omezen:
rem  - toto je povinn parametr
rem  - <cesta_k_adresi> mus urovat existujc adres a mus konit etzcem 'server\conf'
rem    nap. D:\Jazz\IBM\RTC_2.x\jazz\server\conf
rem
set OLD_APPLICATION_HOME=

rem Parametr: -applicationContextRoot
rem Pouit: -applicationContextRoot<koenov_adres>
rem Popis:
rem 	Kontextov koenov adres aplikace serveru 2.x nebo 3.0.x.
rem Vchoz hodnota:
rem 	jazz (2.x), ccm (3.0.1)
rem Omezen:
rem  - <koenov_adres> mus bt platn nzev jednoho adrese (tj. bez vodnho lomtka)
rem
set APPLICATION_CONTEXT_ROOT=

rem Parametr: -oldApplicationVersion
rem Pouit: -oldApplicationVersion <verze>
rem Popis:
rem 	Upgradovan verze 3.x. Ve vchozm nastaven je toto ureno sputnm nstroj repotool -version vi star aplikaci.
rem Vchoz hodnota:
rem 	<nen>
rem Omezen:
rem  - nemlo by bt ureno, pokud se provd upgrade z verze 2.x
rem  - ml by to bt pln etzec verze
rem    nap. 3.0.0 nebo 3.0.1
rem
set OLD_APPLICATION_VERSION=

rem Parametr: -updateTomcatFiles
rem Pouit: -updateTomcatFiles <yes | no>
rem Popis:
rem Zda maj bt aktualizovny konfiguran soubory tomcat.
rem Vchoz hodnota:
rem 	yes
rem Omezen:
rem  - Jedin platn hodnoty: 'yes' a 'no'
rem
set UPDATE_TOMCAT_FILES=yes

rem Parametr: -oldTomcatHome
rem Pouit: -oldTomcatHome <cesta_k_adresi>
rem Popis:
rem pln cesta ke koenovmu adresi Tomcat v instalaci 2.x nebo 3.0.x.
rem Vchoz:
rem 	<nen>
rem Omezen:
rem  - Mus bt existujcm adresem
rem
set OLD_TOMCAT_HOME=

rem Parametr: -newApplicationHome
rem Pouit: -newApplicationHome <cesta_k_adresi>
rem Popis:
rem 	Cesta k domovskmu adresi aplikace v instalaci 3.0.1.2.
rem Vchoz hodnota:
rem 	conf
rem Omezen:
rem  - Akceptuje se pouze pro upgrade produkt RTC, QM a RM
rem  - Je-li akceptovn, jde o povinn parametr
rem  - <cesta_k_adresi> mus odkazovat na existujc adres a mus konit etzcem 'server\conf'
rem    nap. D:\Jazz\IBM\RTC_3.0\JazzTeamServer\server\conf
rem
set NEW_APPLICATION_HOME="%START_DIR%\conf"

rem Parametr: -newJTSHome
rem Pouit: -newJTSHome <cesta_k_adresi>
rem Popis:
rem 	Cesta ke konfiguranmu adresi serveru JTS instalace 3.0.1.2
rem Vchoz
rem 	Nov domovsk adres aplikace
rem Omezen:
rem  - <cesta_k_adresi> mus odkazovat na existujc adres a mus konit etzcem 'server\conf'
rem
set NEW_JTS_HOME=

rem Parametr: -jtsContextRoot
rem Pouit: -jtsContextRoot <koen>
rem Popis:
rem 	Kontextov koenov adres serveru 3.0.1.2 JTS.
rem Vchoz hodnota:
rem 	jts
rem Omezen:
rem  - <koen> mus bt jeden platn nzev adrese (tj. bez vodnho lomtka)
rem
set JTS_CONTEXT_ROOT=jts

rem Parametr: -newApplicationTomcatHome
rem Pouit: -newApplicationTomcatHome <cesta_k_adresi>
rem Popis:
rem 	Cesta ke koenovmu adresi aplikac serveru Tomcat v instalaci 3.0.1.2.
rem Vchoz:
rem 	<nen>
rem
set NEW_TOMCAT_HOME=

rem Parametr: -newJTSTomcatHome
rem Pouit: -newJTSTomcatHome <cesta_k_adresi>
rem Popis:
rem 	Cesta ke koenovmu adresi JTS serveru Tomcat v instalaci 3.0.1.2.
rem Vchoz:
rem 	<nen>
rem
set NEW_JTS_TOMCAT_HOME=

rem Parametr: -noPrompt
rem Pouit: -noPrompt
rem Popis:
rem 	Nedotazovat se ped vytvoenm i pravou tabulek
rem Vchoz hodnota:
rem 	<dn>
rem Omezen:
rem  - Jedin platn hodnoty: empty nebo 'noPrompt'
rem
rem set NO_PROMPT=noPrompt
set NO_PROMPT=

rem Parametr: -noVerify
rem Pouit: -noVerify
rem Popis:
rem 	Neprovdt verifikaci platnosti soubor teamserver.properties.
rem Vchoz hodnota:
rem 	<dn>
rem Omezen:
rem  - Jedin platn hodnoty: empty nebo 'noVerify'
rem
rem set NO_VERIFY=noVerify
set NO_VERIFY=

rem Parametr: -overwrite
rem Pouit: -overwrite
rem Popis:
rem 	Zda m bt pepsn ppadn ji existujc soubor.
rem Vchoz hodnota:
rem 	no
rem Omezen:
rem  - Jedin platn hodnoty: empty nebo 'overwrite=yes'
rem
rem set OVERWRITE=overwrite=yes
set OVERWRITE=

rem Parametr: -importFromFile
rem Pouit: -importFromFile <cesta_k_souboru>
rem Popis:
rem 	Importovat data z exportovanho souboru tar 2.x nebo 3.0.x.
rem Vchoz hodnota:
rem 	<dn>
rem Omezen:
rem  - Cesta mus ukazovat na existujc a platn soubor
rem
set IMPORT_FROM_FILE=

rem Parametr: -noStepPrompt
rem Pouit: -noStepPrompt
rem Popis:
rem 	Nedotazovat se ped provedenm kroku.
rem Vchoz hodnota:
rem 	false
rem Omezen:
rem  - Jedin platn hodnoty: 'true' a 'false'
rem
rem set NO_STEP_PROMPT=true
set NO_STEP_PROMPT=false
