@echo off
rem *******************************************************************************
rem  Licenc hatlya al es anyagok - Az IBM tulajdona
rem  (c) Copyright IBM Corporation 2011. Minden jog fenntartva.
rem
rem  Megjegyzs az Egyeslt llamokhoz kormnyzati felhasznlira vonatkoz
rem  korltozott jogokhoz: A hasznlatot, sokszorostst vagy kzzttelt az
rem  IBM vllalattal kttt GSA ADP Schedule Contract szerzds szablyozza
rem  *******************************************************************************

rem ################################################################################
rem
rem Fjl a frisstsi automatizlt parancsfjlok ltal megjelentett zeneteknek.
rem
rem ################################################################################

setlocal
set TAB=     
if "%1" == "" goto :LBLEND
if "%1" == "HELP" goto :LBLHELP
goto LBLMSG_%1


REM *********************************
REM * Kezdeti ellenrzsi zenetek *
REM *********************************

:LBLMSG_INVALID_LAUNCH
set TAB=    
echo.
echo Ne hajtsa vgre kzvetlenl az app_upgrade parancsfjlt.  A JTS kiszolgl vagy alkalmazs frisstshez futtassa a kvetkez parancsok egyikt:
echo %TAB%ccm_upgrade
echo %TAB%jts_upgrade
echo %TAB%qm_upgrade
echo %TAB%rm_upgrade
echo A fenti parancsok teljes lersnak megtekintshez hasznlja a -help parancsot.
echo.
goto LBLEND

:LBLMSG_INVALID_START_DIR
set TAB=    
echo.
echo A(z) %2 parancsfjl csak a(z) %3 knyvtrbl futtathat, kivve ha a -help paramtert hasznlja
echo.
goto LBLEND

:LBLMSG_SHOW_PARAM_FILE_NAME
echo.
echo A(z) %2 tartalmazza a frisstsi parancsfjl paramterrtkeit.
echo Ha mdostania kell brmely alaprtelmezett paramterrtket, szerkesztheti ezeket a fjlokat vagy a paramterrtkeket parancssori argumentumokknt adhatja meg a frisstsi parancsfjlok szmra.
echo.
goto LBLEND

:LBLMSG_SHOW_PARAM_FILE_NAMES_LIST
echo.
echo A kvetkez fjlok egy alkalmazs vagy egy JTS frisstsnek alaprtelmezett paramterrtkeit tartalmazzk.  Ha mdostania kell brmely alaprtelmezett paramterrtket, szerkesztheti ezeket a fjlokat vagy a paramterrtkeket parancssori argumentumokknt adhatja meg a frisstsi parancsfjlok szmra.
echo %TAB%- CCM upgrade: %2params\ccm_params%3.bat
echo %TAB%- QM upgrade:  %2params\qm_params%3.bat
echo %TAB%- RM upgrade:  %2params\rm_params%3.bat
echo %TAB%- JTS upgrade: %2params\jts_params%3.bat
echo.
goto LBLEND


REM ************************************
REM * Paramterek ellenrzsi zenetei *
REM ************************************

REM Bels ellenrzs
rem ======================

:LBLMSG_MISSING_APP_TYPE
echo.
echo Nem lett megadva JTS vagy alkalmazstpus.  A JTS kiszolgl vagy alkalmazs frisstshez futtassa a kvetkez parancsok egyikt:
echo     ccm_upgrade
echo     jts_upgrade
echo     qm_upgrade
echo     rm_upgrade
echo A fenti parancsok teljes lersnak megtekintshez hasznlja a -help parancsot.
echo.
goto LBLEND

:LBLMSG_INVALID_APP_TYPE
echo.
echo A(z) %2 rvnytelen JTS vagy alkalmazstpus.  A JTS kiszolgl vagy alkalmazs frisstshez futtassa a kvetkez parancsok egyikt:
echo     ccm_upgrade
echo     jts_upgrade
echo     qm_upgrade
echo     rm_upgrade
echo A fenti parancsok teljes lersnak megtekintshez hasznlja a -help parancsot.
echo.
goto LBLEND

:LBLMSG_MISSING_PARAM_VALUE
echo.
echo A(z) %2 paramter rtke hinyzik.
echo A paramterek teljes lersnak megtekintshez hasznlja a -help parancsot.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM_DIR
echo.
echo A(z) %2 paramterhez megadott %3 knyvtr nem ltezik, vagy nem rvnyes.
echo Hasznlja a -help parancsot a paramterek teljes lersnak megtekintshez.
echo.
goto LBLEND

:LBLMSG_RELATIVE_PARAM_DIR
echo.
echo A(z) %2 paramterhez megadott %3 knyvtrnak abszolt elrsi tnak kell lennie.
echo Hasznlja a -help parancsot a paramterek teljes lersnak megtekintshez.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM_FILE
echo.
echo A(z) %2 paramterhez megadott %3 fjl nem ltezik vagy rvnytelen.
echo Hasznlja a -help parancsot a paramterek teljes lersnak megtekintshez.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM_VALUE
echo.
echo A(z) %3 egy rvnytelen rtk a(z) %2 paramter esetben.
echo Hasznlja a -help parancsot a paramterek teljes lersnak megtekintshez.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM
echo.
echo A(z) %2 ismeretlen paramter.
echo Hasznlja a -help parancsot a paramterek teljes lersnak megtekintshez.
echo.
goto LBLEND


REM Kls ellenrzs
rem ======================

:LBLMSG_MISSING_HOME_PARAM
echo.
echo A(z) %2 sajt knyvtr paramter hinyzik.
echo A paramterek teljes lersnak megtekintshez hasznlja a -help parancsot.
echo.
goto LBLEND

:LBLMSG_DIR_NOT_FOUND
echo.
echo A(z) %2 knyvtr nem ltezik vagy rvnytelen.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_2X_APP
echo.
echo A(z) '%2' alkalmazs repotools parancs nem tallhat.
echo.
echo Ellenrizze, hogy a(z) '%3' -oldApplicationHome paramter a rgi kiszolgl konfigurcis knyvtrra mutat-e, pldul: 'JazzInstallRoot/server/conf'.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_OLD_APP
echo.
echo A(z) '%2' alkalmazs repotools parancs nem tallhat.
echo.
echo Ellenrizze, hogy a(z) '%3' -oldApplicationHome paramter a rgi kiszolgl konfigurcis knyvtrra mutat-e, pldul 'JazzInstallRoot\server\conf', s hogy a(z) '%4' jtsContextRoot paramter helyes-e.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_2X_APP
echo.
echo A(z) '%2' konfigurcis fjl nem tallhat.
echo.
echo Ellenrizze, hogy a(z) '%3' -oldApplicationHome paramter a rgi kiszolgl konfigurcis knyvtrra mutat-e, pldul: 'JazzInstallRoot/server/conf'.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_OLD_APP
echo.
echo A(z) '%2' konfigurcis fjl nem tallhat.
echo.
echo Ellenrizze, hogy a(z) '%3' -oldApplicationHome paramter a rgi kiszolgl konfigurcis knyvtrra mutat-e, pldul 'JazzInstallRoot\server\conf', s hogy a(z) '%4' jtsContextRoot paramter helyes-e.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_NEW_APP
echo.
echo A(z) '%2' alkalmazs repotools parancs nem tallhat.  
echo.
echo Ellenrizze, hogy a(z) '%3' -newApplicationHome paramter az j alkalmazskiszolgl konfigurcis knyvtrra mutat-e, pldul 'JazzInstallRoot\server\conf', s hogy a(z) '%4' jtsContextRoot paramter helyes-e.
echo Ha egy korbbi kiadsrl frisst, gyzdjn meg rla, hogy a megfelel kontextusgykereket vlasztotta.  Ha pldul az Installation Manager eszkzt hasznlja, a "Kontextusgykr belltsai" panelen tallhat %5 kontextusgykr lehetsget kell vlasztania.  Ha vletlenl ms lehetsget vlasztott, jra kell teleptenie a termket a(z) %5 kontextusgykr belltssal.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_NEW_APP
echo.
echo A(z) '%2' konfigurcis fjl nem tallhat.
echo.
echo Ellenrizze, hogy a(z) '%3' -newApplicationHome paramter az j JTS kiszolgl konfigurcis knyvtrra mutat-e, pldul 'JazzInstallRoot\server\conf', s hogy a(z) '%4' jtsContextRoot paramter helyes-e.
echo Ha egy korbbi kiadsrl frisst, gyzdjn meg rla, hogy a megfelel kontextusgykereket vlasztotta.  Ha pldul az Installation Manager eszkzt hasznlja, a "Kontextusgykr belltsai" panelen tallhat %5 kontextusgykr lehetsget kell vlasztania.  Ha vletlenl ms lehetsget vlasztott, jra kell teleptenie a termket a(z) %5 kontextusgykr belltssal.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_OLD_JTS
echo.
echo A(z) '%2' JTS repotools parancs nem tallhat.
echo.
echo Ellenrizze, hogy a(z) '%3' -oldJTSHome paramter a rgi JTS kiszolgl konfigurcis knyvtrra mutat-e, pldul 'JazzInstallRoot\server\conf', s hogy a(z) '%4' jtsContextRoot paramter helyes-e.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_OLD_JTS
echo.
echo A(z) '%2' konfigurcis fjl nem tallhat.
echo.
echo Ellenrizze, hogy a(z) '%3' -oldJTSHome paramter a rgi JTS kiszolgl konfigurcis knyvtrra mutat-e, pldul 'JazzInstallRoot\server\conf', s hogy a(z) '%4' jtsContextRoot paramter helyes-e.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_NEW_JTS
echo.
echo A(z) '%2' JTS repotools parancs nem tallhat.
echo.
echo Ellenrizze, hogy a(z) '%3' -newJTSHome paramter az j JTS kiszolgl konfigurcis knyvtrra mutat-e, pldul 'JazzInstallRoot\server\conf', s hogy a(z) '%4' jtsContextRoot paramter helyes-e.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_NEW_JTS
echo.
echo A(z) '%2' konfigurcis fjl nem tallhat.
echo.
echo Ellenrizze, hogy a(z) '%3' -newJTSHome paramter az j JTS kiszolgl konfigurcis knyvtrra mutat-e, pldul 'JazzInstallRoot\server\conf', s hogy a(z) '%4' jtsContextRoot paramter helyes-e.
echo.
goto LBLEND

:LBLMSG_MISSING_IMPORT_FROM_FILE
echo.
echo A(z) %2 frisstshez egy 2.x adatokat tartalmaz tar fjl szksges.
echo Hasznlja a -help parancsot a paramterek teljes lersnak megtekintshez.
echo.
goto LBLEND


REM *************************
REM * Vgrehajtsi zenetek *
REM *************************

:LBLMSG_BANNER_jts
echo.
echo.
echo ================================================
echo ===     JTS frissts %2-rl 3.0.1.2-re     ===
echo ================================================
echo.
goto LBLEND

:LBLMSG_BANNER_ccm
echo.
echo.
echo ================================================
echo ===     CCM frissts %2-rl 3.0.1.2-re     ===
echo ================================================
echo.
goto LBLEND

:LBLMSG_BANNER_qm
echo.
echo.
echo ===============================================
echo ===     QM frissts %2-rl 3.0.1.2-re     ===
echo ===============================================
echo.
goto LBLEND

:LBLMSG_BANNER_rm
echo.
echo.
echo ===============================================
echo ===     RM frissts %2-rl 3.0.1.2-re     ===
echo ===============================================
echo.
goto LBLEND


REM ***********************
REM * Els lps kapcsol *
REM ***********************

:LBLMSG_INITIAL_STEP_FAILED
echo.
echo A legutbbi vgrehajts meghisult a kezdeti lpsnl...
goto LBLEND

:LBLMSG_LAST_STEP_FAILED
echo.
echo A legutbbi vgrehajts meghisult a(z) %2. lpsnl...
echo Kvnja jraindtani a frisstst ettl vagy egy korbbi lpstl? 
goto LBLEND

:LBLMSG_ALREADY_RUN
echo.
echo A frissts mr vgre lett hajtva, s sikeresen befejezdtt...
echo Kvn jraindtani egy j frisstst egy adott lpstl? 
goto LBLEND

:LBLMSG_LAST_STEP_PASSED
echo.
echo A legutbbi vgrehajts sikeresen lellt a(z) %2. lpsnl...
echo Kvnja jraindtani a frisstst a jelenlegi %3. vagy egy korbbi lpstl? 
goto LBLEND

:LBLMSG_ENTER_NEXT_STEP
echo.
echo rja be a lps szmt [%2-%3] amelytl jra kvnja indtani a frisstst, vagy [Enter] rtket a visszavonshoz: 
goto LBLEND

:LBLMSG_INTEGER_STEP_NUMBER
echo.
echo A(z) '%2' nem szm. Adjon meg egy rvnyes lpsszmot.
goto LBLEND

:LBLMSG_INVALID_STEP_NUMBER
echo.
echo A(z) '%2' rvnytelen lpsszm. Adjon meg egy rvnyes lpsszmot.
goto LBLEND

:LBLMSG_MAX_STEP_NUMBER
echo.
echo Az utols lps a(z) %2. lps, ezrt nem indthatja jra a frisstst a(z) %3. lpstl.
goto LBLEND

:LBLMSG_NUM_MAX_STEP_NUMBER
echo.
echo A(z) %2. lps mg nem futott, ezrt nem indthatja jra a frisstst a(z) %3. lpstl.
goto LBLEND


REM **********************
REM * zenetek a lpsekhez *
REM **********************

:LBLMSG_STEP_0
echo 0. lps: Konfigurcis fjlok frisstse
echo -----------------------------------------
goto LBLEND

:LBLMSG_STEP_1_ADD
echo 1. lps: Tblk hozzadsa
echo ---------------------------
goto LBLEND

:LBLMSG_STEP_1_IMPORT
echo 1. lps: %2 adatok importlsa
echo -----------------------------------------
goto LBLEND

:LBLMSG_STEP_2_EXPORT_USER_INFO
echo 2. lps: Felhasznli informcik exportlsa az alkalmazs adatbzisbl
echo --------------------------------------------------------------------------
goto LBLEND

:LBLMSG_STEP_2_COPY_TEXT_INDICES
echo 2. lps: Szvegindexek msolsa
echo --------------------------------
goto LBLEND

:LBLMSG_STEP_2_UPGRADE_DATA_WAREHOUSE
echo 2. lps: Adattrhz sma frisstse
echo ------------------------------------
goto LBLEND

:LBLMSG_STEP_3_IMPORT_USER_INFO
echo 3. lps: Felhasznli informcik importlsa a JTS adatbzisba
echo ----------------------------------------------------------------
goto LBLEND

:LBLMSG_STEP_3_UPGRADE_DATA_WAREHOUSE
echo 3. lps: Adattrhz sma frisstse
echo ------------------------------------
goto LBLEND

:LBLMSG_STEP_4
echo 4. lps: JTS felhasznli informcik importlsa az alkalmazs adatbzisba
echo -----------------------------------------------------------------------------
goto LBLEND

:LBLMSG_STEP_5
echo %2. lps: Szvegindexek jraptse
echo -----------------------------------
goto LBLEND

:LBLMSG_STEP_6
echo %2. lps: Lekrdezs jraltrehozsa s indexek keresse
echo --------------------------------------------------------
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_FAILED
echo.
echo A(z) %2 frisstse a(z) %3 lpsnl meghisult.  Javtsa ki a problmt, s futtassa jra a parancsfjlt a(z) %3 lpstl.
echo.
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_SUCCESS_JTS
echo.
echo A(z) %2 frissts sikeres.  Indtsa el a kiszolglt, s a JTS belltsi varzsl segtsgvel rvnyestse a JTS-konfigurcit.  A krnyezetben tallhat alkalmazsokat is frisstheti.
echo.
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_SUCCESS_RM
echo.
echo A(z) %2 frissts offline rsze sikeres.  Indtsa el a kiszolglt, s navigljon a(z) %2 kltztetsi varzslhoz az online kltztets vgrehajtshoz.
echo.
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_SUCCESS_CCM_QM
echo.
echo A(z) %2 frissts sikerlt. Indtsa el a teleptsben lv kiszolglkat. Ha a JTS nincs belltva, akkor hasznlja a bellt varzslt a JTS konfigurlshoz, s regisztrlja az alkalmazst. Egybknt pedig regisztrlja az az alkalmazst a JTS kiszolgl adminisztrcis oldaln.
echo.
goto LBLEND

REM ***************************************
REM * zenetek a lpsek futtatsa kzben *
REM ***************************************

:LBLMSG_STEP_DIR_CMD
echo.
echo Knyvtr: %2
echo Parancs:
goto LBLEND

:LBLMSG_ENTER_STEP_ACTION
echo rjon be [E] rtket ennek a lpsnek a vgrehajtshoz, [S] rtket a kihagyshoz, vagy nyomja meg az [Enter] billentyt a parancsfjl vgrehajtsnak visszavonshoz: 
goto LBLEND

:LBLMSG_INVALID_STEP_ACTION
echo.
echo A(z) '%2' rvnytelen bejegyzs, csak 'E', 'S' vagy 'Enter' engedlyezett
echo.
goto LBLEND

:LBLMSG_EDIT_TEAMSERVER_PROPERTIES
echo.
echo Megnylik a jegyzettmbszerkeszt, amely segtsgvel ellenrizheti a(z) %2 teamserver.properties fjlt.
echo Ellenrizze, hogy a com.ibm.team.repository.server.webapp.url tulajdonsggal jellt Nyilvnos URI gykr helyes-e.
echo Ellenrizze, hogy az adatbzis-tulajdonsgok helyesek-e.
echo Ha befejezte, mentse az esetleges mdostsokat, s zrja be a szerkesztt a parancsfjl vgrehajtsnak folytatshoz.
echo.
echo Tekintse meg az Informcikzpont 'A Jazz Team Server kiszolgl s a CLM alkalmazsok frisstse' tmakrt
echo tovbbi informcikrt az egyes tulajdonsgok megfelel konfigurlsval kapcsolatban:
echo http://publib.boulder.ibm.com/infocenter/clmhelp/v3r0m1/topic/com.ibm.jazz.install.doc/topics/t_update_prepare_config.html
goto LBLEND

:LBLMSG_PAUSE
echo.
echo Nyomja meg a [C] billentyt a vgrehajts folytatshoz, vagy nyomja meg az [Enter] billentyt a parancsfjl vgrehajtsnak visszavonshoz: 
goto LBLEND

:LBLMSG_INVALID_PAUSE_ACTION
echo.
echo A(z) '%2' rvnytelen bejegyzs, csak a 'C' vagy az 'Enter' engedlyezett
echo.
goto LBLEND

:LBLMSG_COPY_INDICES_FAILED
echo.
echo Nem sikerlt tmsolni a szvegindexeket innen: '%2' ide: '%3'.
echo Gyzdjn meg rla, hogy a com.ibm.team.fulltext.indexLocation
echo tulajdonsg meg van hatrozva a teamserver.properties fjlban.
echo Kzzel msolja t a szvegindexeket ebbe a knyvtrba,
echo vagy futtassa a -rebuildTextIndices parancsot az jraptskhz.
echo.
goto LBLEND

REM *********************************************
REM * zenetek a nyilvnos URI-k ellenrzshez *
REM *********************************************

:LBLMSG_MISSING_PUBLIC_URI
echo.
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!! HIBA !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo Nincs nyilvnos URI meghatrozva itt:
echo %3,
echo gy a frissts nem indthat el.
echo.
echo Legalbb egy nyilvnos URI elemnek jelen kell lennie ebben a fjlban, a kvetkezkppen megadva:
echo https\://hostname.example.com\:port/%2
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo A com.ibm.team.repository.server.webapp.url Nyilvnos URI tulajdonsgnak jelen kell lennie a teamserver.properties fjlban.
echo Adja hozz a tulajdonsgot a 2.x teamserver.properties fjlhoz, s lltsa be az rtkt arra az URI gykrre, amelyet minden gyfl hasznlhat a kiszolgl elrshez.
echo A Nyilvnos URI gykr alapvet fontossg a 3.0.1.x kiszolgl megfelel mkdshez. A frissts sikertelen lesz ezen tulajdonsg nlkl.  
echo Tovbbi informcikrt tekintse meg az Informcikzpont 'Sajt URI-azonostk tervezse' tmakrt a kvetkez helyen:
echo http://publib.boulder.ibm.com/infocenter/clmhelp/v3r0m1/topic/com.ibm.jazz.install.doc/topics/c_planning_URLs.html
echo.
goto LBLEND

:LBLMSG_COMMENTED_PUBLIC_URI
echo.
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!! HIBA !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo Minden nyilvnos, a(z)
echo %3
echo helyen meghatrozott URI megjegyzssel van elltva, gy a frissts nem indthat el.
echo.
echo Legalbb egy megjegyzs nlkli URI-nak kell lennie ebben a fjlban, a kvetkezkkppen megadva:
echo https\://hostname.example.com\:port/%2
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo A com.ibm.team.repository.server.webapp.url Nyilvnos URI tulajdonsgnak jelen kell lennie a teamserver.properties fjlban.
echo Adja hozz a tulajdonsgot a 2.x teamserver.properties fjlhoz, s lltsa be az rtkt arra az URI gykrre, amelyet minden gyfl hasznlhat a kiszolgl elrshez.
echo A Nyilvnos URI gykr alapvet fontossg a 3.0.1.x kiszolgl megfelel mkdshez. A frissts sikertelen lesz ezen tulajdonsg nlkl.
echo Tovbbi informcikrt tekintse meg az Informcikzpont 'Sajt URI-azonostk tervezse' tmakrt a kvetkez helyen:
echo http://publib.boulder.ibm.com/infocenter/clmhelp/v3r0m1/topic/com.ibm.jazz.install.doc/topics/c_planning_URLs.html
echo.
goto LBLEND


:LBLEND
endlocal
