@echo off
rem *******************************************************************************
rem  Licensed Materials - Property of IBM
rem  (c) Copyright IBM Corporation 2011. Wszelkie prawa zastrzeone.
rem
rem  Uwaga: Uytkownikw z instytucji rzdowych USA
rem  obowizuj warunki umowy GSA ADP Schedule
rem  Contract z IBM Corp.
rem  *******************************************************************************

rem ################################################################################
rem
rem Plik komunikatw wywietlanych przez skrypty automatyzujce aktualizacj.
rem
rem ################################################################################

setlocal
set TAB=     
if "%1" == "" goto :LBLEND
if "%1" == "HELP" goto :LBLHELP
goto LBLMSG_%1


REM **************************************
REM * Komunikaty weryfikacji pocztkowej *
REM **************************************

:LBLMSG_INVALID_LAUNCH
set TAB=    
echo.
echo Nie naley wykonywa skryptu app_upgrade bezporednio.  Aby zaktualizowa serwer JTS lub aplikacj, wykonaj jedn z nastpujcych komend:
echo %TAB%ccm_upgrade
echo %TAB%jts_upgrade
echo %TAB%qm_upgrade
echo %TAB%rm_upgrade
echo Aby wywietli peny opis parametrw, naley uy opcji -help.
echo.
goto LBLEND

:LBLMSG_INVALID_START_DIR
set TAB=    
echo.
echo Skryptu %2 nie mona uruchamia z innego katalogu ni %3, chyba e uywany jest parametr -help.
echo.
goto LBLEND

:LBLMSG_SHOW_PARAM_FILE_NAME
echo.
echo Plik %2 zawiera wartoci parametrw skryptu aktualizacji.
echo Jeli wystpi potrzeba zmodyfikowania domylnych wartoci parametrw, mona edytowa te pliki lub okreli wartoci parametrw jako argumenty wiersza komend skryptw aktualizacji.
echo.
goto LBLEND

:LBLMSG_SHOW_PARAM_FILE_NAMES_LIST
echo.
echo Nastpujcy zestaw plikw zawiera domylne wartoci parametrw aplikacji lub aktualizacji JTS.  Jeli wystpi potrzeba zmodyfikowania domylnych wartoci parametrw, mona edytowa te pliki lub okreli wartoci parametrw jako argumenty wiersza komend skryptw aktualizacji.
echo %TAB%- aktualizacja CCM: %2params\ccm_params%3.bat
echo %TAB%- aktualizacja QM:  %2params\qm_params%3.bat
echo %TAB%- aktualizacja RM:  %2params\rm_params%3.bat
echo %TAB%- aktualizacja JTS: %2params\jts_params%3.bat
echo.
goto LBLEND


REM *************************************
REM * Komunikaty weryfikacji parametrw *
REM *************************************

REM Weryfikacja elementw wbudowanych
rem =================================

:LBLMSG_MISSING_APP_TYPE
echo.
echo Nie okrelono typu aplikacji lub serwera JTS.  Aby zaktualizowa serwer JTS lub aplikacj, wykonaj jedn z nastpujcych komend:
echo     ccm_upgrade
echo     jts_upgrade
echo     qm_upgrade
echo     rm_upgrade
echo Aby wywietli peny opis parametrw, naley uy opcji -help.
echo.
goto LBLEND

:LBLMSG_INVALID_APP_TYPE
echo.
echo Niepoprawny typ aplikacji lub serwera JTS: %2.  Aby zaktualizowa serwer JTS lub aplikacj, wykonaj jedn z nastpujcych komend:
echo     ccm_upgrade
echo     jts_upgrade
echo     qm_upgrade
echo     rm_upgrade
echo Aby wywietli peny opis parametrw, naley uy opcji -help.
echo.
goto LBLEND

:LBLMSG_MISSING_PARAM_VALUE
echo.
echo Brak wartoci parametru %2.
echo Aby wywietli peny opis parametrw, naley uy opcji -help.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM_DIR
echo.
echo Katalog %3 okrelony dla parametru %2 nie istnieje lub jest niepoprawny.
echo Aby wywietli peny opis parametrw, naley uy opcji -help.
echo.
goto LBLEND

:LBLMSG_RELATIVE_PARAM_DIR
echo.
echo Katalog %3 dla parametru %2 musi zosta okrelony przy uyciu cieki bezwzgldnej.
echo Aby wywietli peny opis parametrw, naley uy opcji -help.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM_FILE
echo.
echo Plik %3 okrelony dla parametru %2 nie istnieje lub jest niepoprawny.
echo Aby wywietli peny opis parametrw, naley uy opcji -help.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM_VALUE
echo.
echo Warto %3 jest niepoprawn wartoci parametru %2.
echo Aby wywietli peny opis parametrw, naley uy opcji -help.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM
echo.
echo Parametr %2 jest nieznanym parametrem.
echo Aby wywietli peny opis parametrw, naley uy opcji -help.
echo.
goto LBLEND


REM Weryfikacja elementw zewntrznych
rem ==================================

:LBLMSG_MISSING_HOME_PARAM
echo.
echo Brak parametru katalogu gwnego %2.
echo Aby wywietli peny opis parametrw, naley uy opcji -help.
echo.
goto LBLEND

:LBLMSG_DIR_NOT_FOUND
echo.
echo Katalog %2 nie istnieje lub jest niepoprawny.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_2X_APP
echo.
echo Nie mona znale komendy repotools aplikacji %2.
echo.
echo Sprawd, czy parametr -oldApplicationHome %3 wskazuje stary katalog konfiguracji serwera, np. JazzInstallRoot\server\conf.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_OLD_APP
echo.
echo Nie mona znale komendy repotools aplikacji %2.
echo.
echo Sprawd, czy parametr -oldApplicationHome %3 wskazuje stary katalog konfiguracji serwera, np. JazzInstallRoot/server/conf oraz czy parametr jtsContextRoot %4 jest poprawny.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_2X_APP
echo.
echo Nie mona znale pliku konfiguracyjnego %2.
echo.
echo Sprawd, czy parametr -oldApplicationHome %3 wskazuje stary katalog konfiguracji serwera, np. JazzInstallRoot\server\conf.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_OLD_APP
echo.
echo Nie mona znale pliku konfiguracyjnego %2.
echo.
echo Sprawd, czy parametr -oldApplicationHome %3 wskazuje stary katalog konfiguracji serwera, np. JazzInstallRoot/server/conf oraz czy parametr jtsContextRoot %4 jest poprawny.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_NEW_APP
echo.
echo Nie mona znale komendy repotools aplikacji %2.  
echo.
echo Sprawd, czy parametr -newApplicationHome %3 wskazuje nowy katalog konfiguracji serwera aplikacji, np. JazzInstallRoot/server/conf oraz czy parametr jtsContextRoot %4 jest poprawny.
echo W przypadku aktualizacji z poprzedniej wersji upewnij si, e wybrano poprawne kontekstowe katalogi gwne.  Na przykad w przypadku uywania programu Installation Manager naley wybra opcj kontekstowego katalogu gwnego %5 na panelu Opcje kontekstowego katalogu gwnego.  Jeli przypadkowo wybrano inn opcj, konieczne jest zreinstalowanie produktu przy uyciu opcji kontekstowego katalogu gwnego %5.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_NEW_APP
echo.
echo Nie mona znale pliku konfiguracyjnego %2.
echo.
echo Sprawd, czy parametr -newApplicationHome %3 wskazuje nowy katalog konfiguracji serwera JTS, np. JazzInstallRoot/server/conf oraz czy parametr jtsContextRoot %4 jest poprawny.
echo W przypadku aktualizacji z poprzedniej wersji upewnij si, e wybrano poprawne kontekstowe katalogi gwne.  Na przykad w przypadku uywania programu Installation Manager naley wybra opcj kontekstowego katalogu gwnego %5 na panelu Opcje kontekstowego katalogu gwnego.  Jeli przypadkowo wybrano inn opcj, konieczne jest zreinstalowanie produktu przy uyciu opcji kontekstowego katalogu gwnego %5.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_OLD_JTS
echo.
echo Nie mona znale komendy repotools serwera JTS %2.
echo.
echo Sprawd, czy parametr -oldJTSHome %3 wskazuje stary katalog konfiguracji serwera JTS, np. JazzInstallRoot/server/conf oraz czy parametr jtsContextRoot %4 jest poprawny.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_OLD_JTS
echo.
echo Nie mona znale pliku konfiguracyjnego %2.
echo.
echo Sprawd, czy parametr -oldJTSHome %3 wskazuje stary katalog konfiguracji serwera JTS, np. JazzInstallRoot/server/conf oraz czy parametr jtsContextRoot %4 jest poprawny.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_NEW_JTS
echo.
echo Nie mona znale komendy repotools serwera JTS %2.
echo.
echo Sprawd, czy parametr -newJTSHome %3 wskazuje nowy katalog konfiguracji serwera JTS, np. JazzInstallRoot/server/conf oraz czy parametr jtsContextRoot %4 jest poprawny.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_NEW_JTS
echo.
echo Nie mona znale pliku konfiguracyjnego %2.
echo.
echo Sprawd, czy parametr -newJTSHome %3 wskazuje nowy katalog konfiguracji serwera JTS, np. JazzInstallRoot/server/conf oraz czy parametr jtsContextRoot %4 jest poprawny.
echo.
goto LBLEND

:LBLMSG_MISSING_IMPORT_FROM_FILE
echo.
echo Na potrzeby aktualizacji %2 wymagany jest plik tar zawierajcy dane wersji 2.x.
echo Aby wywietli peny opis parametrw, naley uy opcji -help.
echo.
goto LBLEND


REM **************************
REM * Komunikaty wykonywania *
REM **************************

:LBLMSG_BANNER_jts
echo.
echo.
echo ======================================================
echo ===     Aktualizacja JTS %2 do wersji 3.0.1.2     ===
echo ======================================================
echo.
goto LBLEND

:LBLMSG_BANNER_ccm
echo.
echo.
echo ======================================================
echo ===     Aktualizacja CCM %2 do wersji 3.0.1.2     ===
echo ======================================================
echo.
goto LBLEND

:LBLMSG_BANNER_qm
echo.
echo.
echo =====================================================
echo ===     Aktualizacja QM %2 do wersji 3.0.1.2     ===
echo =====================================================
echo.
goto LBLEND

:LBLMSG_BANNER_rm
echo.
echo.
echo =====================================================
echo ===     Aktualizacja RM %2 do wersji 3.0.1.2     ===
echo =====================================================
echo.
goto LBLEND


REM *********************************
REM * Przeczanie pierwszego kroku *
REM *********************************

:LBLMSG_INITIAL_STEP_FAILED
echo.
echo Ostatnie wykonanie nie powiodo si podczas pocztkowego kroku.
goto LBLEND

:LBLMSG_LAST_STEP_FAILED
echo.
echo Ostatnie wykonanie nie powiodo si podczas wykonywania kroku %2.
echo Czy zrestartowa aktualizacj od tego kroku (lub od poprzedniego)? 
goto LBLEND

:LBLMSG_ALREADY_RUN
echo.
echo Aktualizacja zostaa ju pomylnie zakoczona.
echo Czy zrestartowa now od okrelonego kroku? 
goto LBLEND

:LBLMSG_LAST_STEP_PASSED
echo.
echo Ostatnie wykonanie zostao pomylnie zatrzymane podczas wykonywania kroku %2.
echo Czy zrestartowa aktualizacj od biecego kroku %3 (lub od poprzedniego)? 
goto LBLEND

:LBLMSG_ENTER_NEXT_STEP
echo.
echo Wprowad numer kroku [%2-%3], od ktrego ma zosta zrestartowana aktualizacja lub nacinij klawisz [Enter], aby anulowa:
goto LBLEND

:LBLMSG_INTEGER_STEP_NUMBER
echo.
echo Warto %2 nie jest liczb. Wprowad poprawny numer kroku.
goto LBLEND

:LBLMSG_INVALID_STEP_NUMBER
echo.
echo Warto %2 nie jest poprawnym numerem kroku. Wprowad poprawny numer kroku.
goto LBLEND

:LBLMSG_MAX_STEP_NUMBER
echo.
echo Ostatnim krokiem jest krok %2, dlatego nie mona zrestartowa aktualizacji od kroku %3.
goto LBLEND

:LBLMSG_NUM_MAX_STEP_NUMBER
echo.
echo Krok %2 nie zosta jeszcze uruchomiony, dlatego nie mona zrestartowa aktualizacji od kroku %3.
goto LBLEND


REM *********************
REM * Komunikaty krokw *
REM *********************

:LBLMSG_STEP_0
echo Krok 0: aktualizowanie plikw konfiguracyjnych
echo ----------------------------------------------
goto LBLEND

:LBLMSG_STEP_1_ADD
echo Krok 1: dodawanie tabel
echo -----------------------
goto LBLEND

:LBLMSG_STEP_1_IMPORT
echo Krok 1: importowanie danych %2
echo ----------------------------------------
goto LBLEND

:LBLMSG_STEP_2_EXPORT_USER_INFO
echo Krok 2: eksportowanie informacji o uytkownikach z bazy danych aplikacji
echo ------------------------------------------------------------------------
goto LBLEND

:LBLMSG_STEP_2_COPY_TEXT_INDICES
echo Krok 2: Kopiuj indeksy tekstowe
echo -------------------------------
goto LBLEND

:LBLMSG_STEP_2_UPGRADE_DATA_WAREHOUSE
echo Krok 2: Aktualizuj schemat hurtowni danych
echo ------------------------------------------
goto LBLEND

:LBLMSG_STEP_3_IMPORT_USER_INFO
echo Krok 3: importowanie informacji o uytkownikach do bazy danych JTS
echo ------------------------------------------------------------------
goto LBLEND

:LBLMSG_STEP_3_UPGRADE_DATA_WAREHOUSE
echo Krok 3: Aktualizuj schemat hurtowni danych
echo ------------------------------------------
goto LBLEND

:LBLMSG_STEP_4
echo Krok 4: importowanie informacji o uytkownikach produktu JTS do bazy danych aplikacji
echo -------------------------------------------------------------------------------------
goto LBLEND

:LBLMSG_STEP_5
echo Krok %2: odbudowywanie wskazwek tekstowych
echo ------------------------------------------
goto LBLEND

:LBLMSG_STEP_6
echo Krok %2: odtwarzanie indeksw zapyta i wyszukiwania
echo ---------------------------------------------------
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_FAILED
echo.
echo Aktualizacja %2 nie powioda si w kroku %3.  Usu problem i uruchom ponownie skrypt, poczwszy od kroku %3.
echo.
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_SUCCESS_JTS
echo.
echo Aktualizacja %2 powioda si.  Uruchom serwer i uyj kreatora konfiguracji JTS, aby sprawdzi poprawno konfiguracji.  Teraz mona take zaktualizowa dowolne aplikacje w rodowisku.
echo.
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_SUCCESS_RM
echo.
echo Cz aktualizacji %2 wykonywana w trybie bez poczenia powioda si.  Uruchom serwer i przejd do kreatora migracji %2 w celu wykonania etapw migracji wymagajcych poczenia.
echo.
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_SUCCESS_CCM_QM
echo.
echo Aktualizacja %2 powioda si. Uruchom serwery we wdroeniu. Jeli serwer JTS nie zosta skonfigurowany, uyj kreatora konfigurowania, aby skonfigurowa serwer JTS i zarejestrowa aplikacj. W przeciwnym razie zarejestruj aplikacj na stronie administrowania serwerem JTS.
echo.
goto LBLEND

REM ******************************
REM * Komunikaty w trakcie kroku *
REM ******************************

:LBLMSG_STEP_DIR_CMD
echo.
echo Katalog: %2
echo Komenda:
goto LBLEND

:LBLMSG_ENTER_STEP_ACTION
echo Nacinij klawisz [E], aby wykona ten krok, klawisz [S], aby go pomin, lub nacinij klawisz [Enter], aby anulowa wykonywanie skryptu:
goto LBLEND

:LBLMSG_INVALID_STEP_ACTION
echo.
echo Wprowadzono niepoprawny znak %2, dozwolone s tylko znaki E, S lub klawisz Enter.
echo.
goto LBLEND

:LBLMSG_EDIT_TEAMSERVER_PROPERTIES
echo.
echo Zostanie otworzony Notatnik umoliwiajcy sprawdzenie pliku teamserver.properties %2.
echo Sprawd, czy katalog gwny publicznego identyfikatora URI okrelonego we waciwoci the com.ibm.team.repository.server.webapp.url jest poprawny.
echo Sprawd, czy waciwoci bazy danych s poprawne.
echo Po zakoczeniu zapisz wprowadzone zmiany i zamknij edytor, aby kontynuowa wykonywanie skryptu.
echo.
echo W temacie Aktualizowanie aplikacji Team Server i CLM w Centrum informacyjnym
echo mona znale informacje o poprawnym konfigurowaniu kadej waciwoci:
echo http://publib.boulder.ibm.com/infocenter/clmhelp/v3r0m1/topic/com.ibm.jazz.install.doc/topics/t_update_prepare_config.html
goto LBLEND

:LBLMSG_PAUSE
echo.
echo Nacinij klawisz C, aby kontynuowa, lub Enter, aby anulowa wykonywanie skryptu:
goto LBLEND

:LBLMSG_INVALID_PAUSE_ACTION
echo.
echo Wprowadzono niepoprawny znak %2, dozwolony jest tylko znak C lub klawisz Enter.
echo.
goto LBLEND

:LBLMSG_COPY_INDICES_FAILED
echo.
echo Kopiowanie indeksw tekstowych z %2 do %3 nie powiodo si.
echo Sprawd waciwo com.ibm.team.fulltext.indexLocation
echo zdefiniowan w pliku teamserver.properties.
echo Skopiuj indeksy tekstowe do tego katalogu rcznie lub uruchom komend
echo repotools -rebuildTextIndices, aby je odbudowa.
echo.
goto LBLEND

REM **********************************************************
REM * Komunikaty weryfikacji publicznych identyfikatorw URI *
REM **********************************************************

:LBLMSG_MISSING_PUBLIC_URI
echo.
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!! BD !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo Nie zdefiniowano publicznego identyfikatora URI w pliku
echo %3.
echo Nie mona uruchomi aktualizowania.
echo.
echo W tym pliku naley zdefiniowa jeden publiczny identyfikator URI:
echo https\://nazwa_hosta.przyklad.com\:port/%2
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo Waciwo publicznego identyfikatora URI com.ibm.team.repository.server.webapp.url musi istnie w pliku teamserver.properties.
echo Dodaj t waciwo do pliku teamserver.properties wersji 2.x i ustaw warto katalogu gwnego publicznego identyfikatora URI, ktry jest uywany przez wszystkie klienty do uzyskiwania dostpu do serwera.
echo Katalog gwny publicznego identyfikatora URI jest bardzo istotny dla poprawnego dziaania serwera 3.0.1.x. Aktualizacja nie powiedzie si bez tej waciwoci.  
echo Wicej informacji mona znale w temacie Centrum informacyjnego zatytuowanym Planowanie identyfikatorw URI:
echo http://publib.boulder.ibm.com/infocenter/clmhelp/v3r0m1/topic/com.ibm.jazz.install.doc/topics/c_planning_URLs.html
echo.
goto LBLEND

:LBLMSG_COMMENTED_PUBLIC_URI
echo.
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!! BD !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo Wszystkie publiczne identyfikatory URI zdefiniowane w pliku
echo %3
echo znajduj si w komentarzach. Nie mona uruchomi aktualizowania.
echo.
echo W tym pliku powinien znajdowa si jeden publiczny identyfikator URI nie bdcy komentarzem:
echo https\://nazwa_hosta.przyklad.com\:port/%2
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo Waciwo publicznego identyfikatora URI com.ibm.team.repository.server.webapp.url musi istnie w pliku teamserver.properties.
echo Dodaj t waciwo do pliku teamserver.properties wersji 2.x i ustaw warto katalogu gwnego publicznego identyfikatora URI, ktry jest uywany przez wszystkie klienty do uzyskiwania dostpu do serwera.
echo Katalog gwny publicznego identyfikatora URI jest bardzo istotny dla poprawnego dziaania serwera 3.0.1.x. Aktualizacja nie powiedzie si bez tej waciwoci.
echo Wicej informacji mona znale w temacie Centrum informacyjnego zatytuowanym Planowanie identyfikatorw URI:
echo http://publib.boulder.ibm.com/infocenter/clmhelp/v3r0m1/topic/com.ibm.jazz.install.doc/topics/c_planning_URLs.html
echo.
goto LBLEND


:LBLEND
endlocal
