@echo off
rem *******************************************************************************
rem  Licencovan materily - vlastnictv IBM
rem  (c) Copyright IBM Corporation 2006, 2011. Vechna prva vyhrazena.
rem
rem  Omezen prva uivatel z ad americkch vldnch instituc:
rem  Pouit, koprovn a zveejnn je omezeno v souladu se smlouvou GSA ADP
rem  Schedule Contract se spolenost IBM Corp.
rem  *******************************************************************************


REM #############################################################
REM #
REM # Definujte promnn prosted odpovdajc parametrm
REM # skriptu jts_upgrade.bat a jejich vchozm hodnotm
REM #
REM #===========================================================
REM #
REM # Tento soubor se te  na zatku proveden skriptu
REM # jts_upgrade.bat. Nastavuje jednu promnnou prosted pro
REM # jeden platn parametr pomoc peddefinovan vchoz hodnoty.
REM #
REM # Uivatel mohou vchoz hodnotu upravit, a doclit tak
REM # spoutn skriptu jts_upgrade.bat se svmi vlastnmi hodnotami
REM # bez nutnosti runho zadvn parametr s jejich hodnotami
REM # do pkazovho dku.
REM #
REM # VAROVN:
REM # Nen nutn nastavovat vechny promnn pro kadou
REM # aplikaci. Ped pravou hodnoty si pozorn pette
REM # koment.
REM #
REM #############################################################

rem Parametr: -oldJTSHome
rem Pouit: -oldJTSHome <cesta_k_adresi>
rem Popis:
rem 	pln cesta k domovskmu adresi JTS v instalaci 3.0.x.
rem Vchoz hodnota:
rem 	<dn>
rem Poznmka:
rem     Je-li zadn, znamen, e bude proveden upgrade z verze 3.0 na verzi 3.0.1 pro
rem     RTC i pro JTS. Jinak bude proveden bez ohledu na zjitn
rem     upgrade pouze pro RTC...
rem Omezen:
rem  - <cesta_k_adresi> mus odkazovat na existujc adres a mus konit etzcem 'server/conf'
rem  - Plat pouze pro upgrady RM a JTS
rem
set OLD_JTS_HOME=

rem Parametr: -jtsContextRoot
rem Pouit: -jtsContextRoot <root>
rem Popis:
rem 	Kontextov koenov adres JTS
rem Vchoz hodnota:
rem 	jts
rem Omezen:
rem  - <koen> mus bt jedin nzev platnho adrese (tj. bez vodnho lomtka)
rem
set JTS_CONTEXT_ROOT=jts

rem Parametr: -oldJTSVersion
rem Pouit: -oldJTSVersion <verze>
rem Popis:
rem 	Upgradovan verze 3.x. Ve vchozm nastaven je toto ureno sputnm nstroj repotool -version vi starmu serveru JTS.
rem Vchoz:
rem 	<nen>
rem Omezen:
rem  - ml by to bt pln etzec verze
rem    nap. 3.0.0 nebo 3.0.1
rem
set OLD_JTS_VERSION=

rem Parametr: -updateTomcatFiles
rem Pouit: -updateTomcatFiles <yes | no>
rem Popis:
rem Zda maj bt aktualizovny konfiguran soubory tomcat.
rem Vchoz hodnota:
rem 	yes
rem Omezen:
rem  - Jedin platn hodnoty: 'yes' a 'no'
rem
set UPDATE_TOMCAT_FILES=yes

rem Parametr: -oldTomcatHome
rem Pouit: -oldTomcatHome <cesta_k_adresi>
rem Popis:
rem 	pln cesta ke koenovmu adresi Tomcat v instalaci 3.0.x.
rem Vchoz:
rem 	<nen>
rem Omezen:
rem  - Mus bt existujcm adresem
rem
set OLD_TOMCAT_HOME=

rem Parametr: -newJTSHome
rem Pouit: -newJTSHome <cesta k adresi>
rem Popis:
rem 	Cesta ke konfiguranmu adresi serveru JTS instalace 3.0.1.2.
rem Vchoz:
rem 	conf
rem Omezen:
rem  - <cesta_k_adresi> mus odkazovat na existujc adres a mus konit etzcem 'server\conf'
rem
set NEW_JTS_HOME="%START_DIR%\conf"

rem Parametr: -newTomcatHome
rem Pouit: -newTomcatHome <cesta k adresi>
rem Popis:
rem 	Cesta k domovskmu adresi Tomcat instalace 3.0.1.2.
rem Vchoz:
rem 	<nen>
rem
set NEW_TOMCAT_HOME=

rem Parametr: -noPrompt
rem Pouit: -noPrompt
rem Popis:
rem 	Nedotazovat se ped vytvoenm i pravou tabulek
rem Vchoz hodnota:
rem 	<dn>
rem Omezen:
rem  - Jedin platn hodnoty: empty nebo 'noPrompt'
rem
rem set NO_PROMPT=noPrompt
set NO_PROMPT=

rem Parametr: -noVerify
rem Pouit: -noVerify
rem Popis:
rem 	Neprovdt verifikaci platnosti soubor teamserver.properties.
rem Vchoz hodnota:
rem 	<dn>
rem Omezen:
rem  - Jedin platn hodnoty: empty nebo 'noVerify'
rem
rem set NO_VERIFY=noVerify
set NO_VERIFY=

rem Parametr: -overwrite
rem Pouit: -overwrite
rem Popis:
rem 	Zda m bt pepsn ppadn ji existujc soubor.
rem Vchoz hodnota:
rem 	no
rem Omezen:
rem  - Jedin platn hodnoty: empty nebo 'overwrite=yes'
rem
rem set OVERWRITE=overwrite=yes
set OVERWRITE=

rem Parametr: -noStepPrompt
rem Pouit: -noStepPrompt
rem Popis:
rem 	Nedotazovat se ped provedenm kroku.
rem Vchoz hodnota:
rem 	false
rem Omezen:
rem  - Jedin platn hodnoty: 'true' a 'false'
rem
rem set NO_STEP_PROMPT=true
set NO_STEP_PROMPT=false
